## oar 2.5.8

=== Makefile ===
#/usr/bin/make
# $Id$
export SHELL=/bin/bash

# Modules that can be builded
MODULES = server user node monika drawgantt drawgantt-svg doc tools api www-conf common common-libs database  


MODULES_LIST= $(patsubst %,% |, $(MODULES))|
OPTIONS_LIST= OARCONFDIR | OARUSER | OAROWNER | PREFIX | MANDIR | OARDIR | BINDIR | SBINDIR | DOCDIR 

# Define the makefile targets
TARGETS_SUFFIX = build clean install uninstall

TARGETS_BUILD     = $(MODULES:=-build)
TARGETS_CLEAN     = $(MODULES:=-clean)
TARGETS_INSTALL   = $(MODULES:=-install)
TARGETS_SETUP     = $(MODULES:=-setup)
TARGETS_UNINSTALL = $(MODULES:=-uninstall)
TARGETS = $(TARGETS_BUILD) $(TARGETS_CLEAN) $(TARGETS_INSTALL) $(TARGETS_UNINSTALL) $(TARGETS_SETUP)

all:       usage
build:     $(TARGETS_BUILD)
install:   $(TARGETS_INSTALL)
clean:     $(TARGETS_CLEAN)
uninstall: $(TARGETS_UNINSTALL)
setup:     $(TARGETS_SETUP)

tarball: .git
	./misc/make_tarball

.git:
	@echo "Must be used from a git repository!"
	exit 1

usage:
	@echo "Usage: make [ OPTIONS=<...> ] [MODULES-]{install|build|clean|uninstall|setup}"
	@echo ""
	@echo "Where MODULES := { $(MODULES_LIST:||=) }"
	@echo ""
	@echo "      OPTIONS := { $(OPTIONS_LIST) }"

sanity-check:
	@[ "`id root`" = "`id`" ] || echo "Warning: root-privileges are required to install some files !"

sanity-setup-check: sanity-check
	@id $(OAROWNER) > /dev/null || ( echo "Error: User $(OAROWNER) does not exist!" ; exit -1 )


# Meta targets
$(TARGETS_BUILD):     MODULE = $(patsubst %-build,%,$@)
$(TARGETS_BUILD):     ACTION = build
$(TARGETS_INSTALL):   MODULE = $(patsubst %-install,%,$@) 
$(TARGETS_INSTALL):   ACTION = install
$(TARGETS_SETUP):     MODULE = $(patsubst %-setup,%,$@) 
$(TARGETS_SETUP):     ACTION = setup
$(TARGETS_UNINSTALL): MODULE = $(patsubst %-uninstall,%,$@) 
$(TARGETS_UNINSTALL): ACTION = uninstall 
$(TARGETS_CLEAN):     MODULE = $(patsubst %-clean,%,$@) 
$(TARGETS_CLEAN):     ACTION = clean 

$(TARGETS_INSTALL):  sanity-check
	$(MAKE) $(strip $(MODULE))-build
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk install

$(TARGETS_UNINSTALL):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk uninstall

$(TARGETS_CLEAN):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk clean

$(TARGETS_BUILD):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk build

$(TARGETS_SETUP):
	-$(MAKE) -s -f Makefiles/$(strip $(MODULE)).mk setup


# Dependencies
server-setup: common-setup common-libs-setup database-setup
server-install: sanity-check common-install common-libs-install database-install	
server-clean: common-clean common-libs-clean database-clean 
server-build: common-build common-libs-build database-build 
server-uninstall: common-uninstall common-libs-uninstall database-uninstall 

user-setup: common-setup common-libs-setup
user-install: sanity-check common-install common-libs-install
user-clean: common-clean common-libs-clean
user-build: common-build common-libs-build
user-uninstall: common-uninstall common-libs-uninstall

node-setup: common-setup
node-install: sanity-check common-install
node-clean: common-clean 
node-build: common-build 
node-uninstall: common-uninstall

drawgantt-setup: www-conf-setup
drawgantt-install: www-conf-install
drawgantt-clean: www-conf-clean
drawgantt-build: www-conf-build
drawgantt-uninstall: www-conf-uninstall

drawgantt-svg-setup: www-conf-setup
drawgantt-svg-install: www-conf-install
drawgantt-svg-clean: www-conf-clean
drawgantt-svg-build: www-conf-build
drawgantt-svg-uninstall: www-conf-uninstall

monika-setup: www-conf-setup
monika-install: www-conf-install
monika-clean: www-conf-clean
monika-build: www-conf-build
monika-uninstall: www-conf-uninstall

tools-setup: common-setup common-libs-setup
tools-install: sanity-check common-install common-libs-install
tools-clean: common-clean common-libs-clean
tools-build: common-build common-libs-build
tools-uninstall: common-uninstall common-libs-uninstall

api-setup: common-setup common-libs-setup
api-install: sanity-check common-install common-libs-install
api-build: common-build common-libs-build
api-clean: common-clean common-libs-clean
api-uninstall: common-uninstall common-libs-uninstall


P_ACTIONS = build install clean
P_TARGETS = $(patsubst %,packages-%,$(P_ACTIONS))

packages-build:    P_ACTION = build
packages-install:  P_ACTION = install
packages-clean:    P_ACTION = clean 

$(P_TARGETS):
	# oar-doc
	$(MAKE) -f Makefiles/doc.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-doc
	
	# oar-common
	mkdir -p $(PACKAGES_DIR)/oar-common/var/lib/oar	
	$(MAKE) -f Makefiles/common.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-common
	
	
	# liboar-perl
	mkdir -p $(PACKAGES_DIR)/liboar-perl/var/lib/oar	
	$(MAKE) -f Makefiles/common-libs.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/liboar-perl
	
	# oar-server
	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
    SHAREDIR=/usr/share/oar/oar-server \
                DESTDIR=$(PACKAGES_DIR)/oar-server
	
	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-server \
    SHAREDIR=/usr/share/oar/oar-server \
		DOCDIR=/usr/share/doc/oar-server
	
	# oar-node
	mkdir -p $(PACKAGES_DIR)/oar-node/var/lib/oar
	mkdir -p $(PACKAGES_DIR)/oar-node/etc/init.d
	$(MAKE) -f Makefiles/node.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-node
	
	# oar-user
	mkdir -p $(PACKAGES_DIR)/oar-user/var/lib/oar
	$(MAKE) -f Makefiles/user.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-user 
	
	# oar-web-status
	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/drawgantt-svg.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/www-conf.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	
	# oar-restful-api
	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
	    DOCDIR=/usr/share/doc/oar-restful-api \
	    DESTDIR=$(PACKAGES_DIR)/oar-restful-api 
	
	# keyring
	$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-keyring

=== sources/extra/cpp-scheduler/DBTests/Makefile ===
#############################################################################
# Makefile for building: qttest
# Generated by qmake (2.01a) (Qt 4.4.3) on: mer. dc. 17 17:08:23 2008
# Project:  qttest.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile qttest.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qttest.cc \
		../Oar_iolib.cc \
		../Oar_resource_tree.cc \
		../Gantt_hole_storage.cc 
OBJECTS       = qttest.o \
		Oar_iolib.o \
		Oar_resource_tree.o \
		Gantt_hole_storage.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		qttest.pro
QMAKE_TARGET  = qttest
DESTDIR       = 
TARGET        = qttest

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qttest.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile qttest.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qttest.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qttest1.0.0 || $(MKDIR) .tmp/qttest1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qttest1.0.0/ && $(COPY_FILE) --parents ../Oar_iolib.H ../Gantt_hole_storage.H ../Oar_resource_tree.H .tmp/qttest1.0.0/ && $(COPY_FILE) --parents qttest.cc ../Oar_iolib.cc ../Oar_resource_tree.cc ../Gantt_hole_storage.cc .tmp/qttest1.0.0/ && (cd `dirname .tmp/qttest1.0.0` && $(TAR) qttest1.0.0.tar qttest1.0.0 && $(COMPRESS) qttest1.0.0.tar) && $(MOVE) `dirname .tmp/qttest1.0.0`/qttest1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qttest1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

qttest.o: qttest.cc ../Oar_iolib.H \
		../Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qttest.o qttest.cc

Oar_iolib.o: ../Oar_iolib.cc ../Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_iolib.o ../Oar_iolib.cc

Oar_resource_tree.o: ../Oar_resource_tree.cc ../Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_resource_tree.o ../Oar_resource_tree.cc

Gantt_hole_storage.o: ../Gantt_hole_storage.cc ../Gantt_hole_storage.H \
		../Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Gantt_hole_storage.o ../Gantt_hole_storage.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
oar (2.5.8-2) unstable; urgency=medium

  * Revert to stretch behavior for Storable::dclone perl function (Closes:
    #942467)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 17 Oct 2019 20:31:05 +0200

oar (2.5.8-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Remove patches as they were applied upstream
  [ Vincent Danjean ]
  * Switch to dh 12
  * Bump Standards-Version (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 04 Jan 2019 21:06:58 +0100

oar (2.5.8~rc8-3) unstable; urgency=medium

  * Really fix Makefile for parallel builds (Closes: #916304)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 13 Dec 2018 22:17:30 +0100

oar (2.5.8~rc8-2) unstable; urgency=medium

  * Refresh packaging
  * Bash snipsets to be sourced are not binaries
  * Fix Makefile dependencies for parallel builds

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 07 Dec 2018 15:28:18 +0100

oar (2.5.8~rc8-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 01 Oct 2018 21:08:58 +0200

oar (2.5.8~rc7-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Sep 2018 00:00:34 +0200

oar (2.5.8~rc6-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 22 Jun 2018 16:11:30 +0200

oar (2.5.8~rc5-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 05 Oct 2017 18:57:18 +0200

oar (2.5.8~rc4-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 26 Jun 2017 22:34:39 +0200

oar (2.5.8~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 28 Feb 2017 22:41:23 +0100

oar (2.5.8~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 09 Jan 2017 14:29:15 +0100

oar (2.5.8~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 02 Jan 2017 17:23:44 +0100

=== debian/control ===
Source: oar
Maintainer: Pierre Neyron <pierre.neyron@free.fr>
Uploaders: Vincent Danjean <vdanjean@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               po-debconf,
               perl,
               python3-sphinx
Standards-Version: 4.3.0
Vcs-Git: https://github.com/oar-team/oar.git/ -b debian.org
Vcs-Browser: https://github.com/oar-team/oar
Homepage: http://oar.imag.fr/

Package: liboar-perl
Architecture: any
Section: perl
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc
Description: OAR batch scheduler common library package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common libraries of the OAR batch scheduler

Package: oar-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         liboar-perl (= ${binary:Version}),
         adduser,
         ucf
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc
Description: OAR batch scheduler common package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common part of the OAR batch scheduler

Package: oar-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         openssh-client,
         cron,
         lsb-base,
         libsort-versions-perl,
         libdbi-perl,
         oar-common (= ${binary:Version}),
         oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}),
         perl (<< 5.17) | libterm-ui-perl
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: taktuk,
          phpmyadmin,
          oar-node,
          oar-doc,
          openssh-server
Breaks: oar-admin
Description: OAR batch scheduler server package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the server part of the OAR batch scheduler

Package: oar-server-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Description: OAR batch scheduler MySQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the server part of the
 OAR batch scheduler.

Package: oar-server-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-client
Suggests: postgresql
Description: OAR batch scheduler PostgreSQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependencies for the server part of
 the OAR batch scheduler.

Package: oar-node
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openssh-client,
         openssh-server,
         lsb-base (>= 3.0-6),
         oar-common (= ${binary:Version})
Suggests: oar-doc,
          xauth
Description: OAR batch scheduler node package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the execution node part of the OAR batch scheduler

Package: oar-user
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         oar-common (= ${binary:Version}),
         oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: oar-doc,
          openssh-client,
          xauth
Breaks: oar-admin
Description: OAR batch scheduler user package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the submission and query part of the OAR batch scheduler.

Package: oar-user-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Description: OAR batch scheduler MySQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the user part of the
 OAR batch scheduler.

Package: oar-user-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Description: OAR batch scheduler PostgreSQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependences for the user part of
 the OAR batch scheduler.

Package: oar-web-status
Architecture: all
Section: web
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         apache2 | httpd-cgi,
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl | libdbd-pg-perl,
         libtie-ixhash-perl,
         libappconfig-perl,
         libsort-naturally-perl,
         php,
         php-mysql | php-pgsql
Suggests: oar-doc
Description: OAR batch scheduler visualization tool package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the OAR batch scheduler web interfaces: drawgantt-svg
 and monika.

Package: oar-doc
Architecture: all
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: OAR batch scheduler documentation package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install some documentation for OAR batch scheduler

Package: oar-restful-api
Architecture: any
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libjson-perl,
         libyaml-perl,
         libwww-perl,
         libcgi-fast-perl,
         oar-user,
         apache2 | httpd-cgi
Recommends: libyaml-syck-perl
Suggests: oar-doc,
          oar-server,
          apache2,
          libapache2-mod-fcgid,
          apache2-suexec-custom
Description: OAR web services
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs a RESTful API for oar users.

## oar 2.5.9

=== debian/changelog ===
oar (2.5.9-1) unstable; urgency=medium

  * New release
  * Fix various bugs/cleanup found by lintian

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 11 Jan 2021 16:44:43 +0100

oar (2.5.9~g5k6-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 13 Apr 2020 17:07:29 +0200

oar (2.5.9~g5k5-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Pierre Neyron <pierre.neyron@free.fr>  Sun, 29 Mar 2020 22:20:50 +0200

oar (2.5.9~g5k4-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Pierre Neyron <pierre.neyron@free.fr>  Wed, 26 Feb 2020 17:16:07 +0100

oar (2.5.9~g5k3-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Pierre Neyron <pierre.neyron@free.fr>  Sun, 13 Oct 2019 21:13:52 +0200

oar (2.5.9~g5k2-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 26 Sep 2019 16:49:46 +0200

oar (2.5.9~g5k1-1) unstable; urgency=medium

  * Pre-release for G5K (add DISABLE_SUSPECTED_NODES_REPAIR)

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 12 Jul 2019 17:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Vincent Danjean <vdanjean@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                po-debconf,
                perl,
                python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/oar-team/oar.git/ -b debian.org
 Vcs-Browser: https://github.com/oar-team/oar
 Homepage: http://oar.imag.fr/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Some programs are suid. Compiling them with hardening flags...
# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# This has to be exported to make some magic below work.
export DH_OPTIONS

INSTALLDIR=debian

export OARUSER=oar
export OARCONFDIR=/etc/oar
export PREFIX=/usr
export MANDIR=/usr/share/man
export OARDIR=/usr/lib/oar
export BINDIR=/usr/bin
export SBINDIR=/usr/sbin
export CGIDIR=/usr/lib/cgi-bin
export PERLLIBDIR=/usr/share/perl5
export VARLIBDIR=/var/lib
export SETUP_TYPE=deb
export TARGET_DIST=debian

CFLAGS += -Wall

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	

override_dh_auto_install:
	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	## oar-server
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/init.d/oar-server > debian/oar-server.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/default/oar-server > debian/oar-server.default
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
	
	## oar-node
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/init.d/oar-node > debian/oar-node.init
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/default/oar-node > debian/oar-node.default
	# disable the automatic installation of this cron, by default
	#cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
		
	## oar-common
	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
	## oar-web-status
	# (poar) use libjs-jquery instead of the embedded one.
	# -- poar is not in the debian packaging (still an experimental feature)
	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js
		
	## oar-doc
	rm -r $(CURDIR)/$(INSTALLDIR)/oar-doc/usr/share/doc/oar-doc/doctrees
		
	dh_install -i

override_dh_clean:
	dh_clean
	
	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
		
	# Cleaning package
	$(RM) debian/oar-server.init
	$(RM) debian/oar-node.init
	$(RM) debian/oar-server.default
	$(RM) debian/oar-node.default
	$(RM) debian/oar-common.logrotate
	$(RM) debian/oar-server.cron.d
	$(RM) debian/oar-node.cron.d

override_dh_installinit:
	dh_installinit --error-handler=errorinit

override_dh_compress:
	# avoid to compress examples as we use ucf after.
	dh_compress -Xexamples

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_epilogue
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_prologue
	chmod +x debian/oar-server/usr/share/oar/oar-server/shut_down_nodes.sh
	chmod +x debian/oar-server/usr/share/oar/oar-server/wake_up_nodes.sh
	chmod +x debian/oar-common/usr/share/oar/oar-common/oarnodesetting_ssh
	chmod +x debian/oar-common/usr/share/oar/oar-common/update_cpuset_id.sh
	chmod +x debian/oar-web-status/usr/share/oar/oar-web-status/userInfos.cgi
	chmod +x debian/oar-restful-api/usr/share/oar/oar-api/stress_factor.sh
	chmod +x debian/oar-node/usr/share/oar/oar-node/epilogue
	chmod +x debian/oar-node/usr/share/oar/oar-node/prologue

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\.\d+$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|g5k)\d*)$/$1~$2/,repacksuffix=+dfsg.1 \
  http://oar-ftp.imag.fr/oar/2.5/sources/testing/oar-(.+)\.tar\.gz

## oar 2.5.10

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #/usr/bin/make
-# $Id$
 export SHELL=/bin/bash
 
 # Modules that can be builded
-MODULES = server user node monika drawgantt drawgantt-svg doc tools api www-conf common common-libs database  
+MODULES = server user node monika drawgantt drawgantt-svg doc tools api www-conf common common-libs database
 
 
 MODULES_LIST= $(patsubst %,% |, $(MODULES))|
-OPTIONS_LIST= OARCONFDIR | OARUSER | OAROWNER | PREFIX | MANDIR | OARDIR | BINDIR | SBINDIR | DOCDIR 
+OPTIONS_LIST= OARCONFDIR | OARUSER | OAROWNER | PREFIX | MANDIR | OARDIR | BINDIR | SBINDIR | DOCDIR
 
 # Define the makefile targets
 TARGETS_SUFFIX = build clean install uninstall
@@ -50,14 +49,14 @@
 # Meta targets
 $(TARGETS_BUILD):     MODULE = $(patsubst %-build,%,$@)
 $(TARGETS_BUILD):     ACTION = build
-$(TARGETS_INSTALL):   MODULE = $(patsubst %-install,%,$@) 
+$(TARGETS_INSTALL):   MODULE = $(patsubst %-install,%,$@)
 $(TARGETS_INSTALL):   ACTION = install
-$(TARGETS_SETUP):     MODULE = $(patsubst %-setup,%,$@) 
+$(TARGETS_SETUP):     MODULE = $(patsubst %-setup,%,$@)
 $(TARGETS_SETUP):     ACTION = setup
-$(TARGETS_UNINSTALL): MODULE = $(patsubst %-uninstall,%,$@) 
-$(TARGETS_UNINSTALL): ACTION = uninstall 
-$(TARGETS_CLEAN):     MODULE = $(patsubst %-clean,%,$@) 
-$(TARGETS_CLEAN):     ACTION = clean 
+$(TARGETS_UNINSTALL): MODULE = $(patsubst %-uninstall,%,$@)
+$(TARGETS_UNINSTALL): ACTION = uninstall
+$(TARGETS_CLEAN):     MODULE = $(patsubst %-clean,%,$@)
+$(TARGETS_CLEAN):     ACTION = clean
 
 $(TARGETS_INSTALL):  sanity-check
 	$(MAKE) $(strip $(MODULE))-build
@@ -78,10 +77,10 @@
 
 # Dependencies
 server-setup: common-setup common-libs-setup database-setup
-server-install: sanity-check common-install common-libs-install database-install	
-server-clean: common-clean common-libs-clean database-clean 
-server-build: common-build common-libs-build database-build 
-server-uninstall: common-uninstall common-libs-uninstall database-uninstall 
+server-install: sanity-check common-install common-libs-install database-install
+server-clean: common-clean common-libs-clean database-clean
+server-build: common-build common-libs-build database-build
+server-uninstall: common-uninstall common-libs-uninstall database-uninstall
 
 user-setup: common-setup common-libs-setup
 user-install: sanity-check common-install common-libs-install
@@ -91,8 +90,8 @@
 
 node-setup: common-setup
 node-install: sanity-check common-install
-node-clean: common-clean 
-node-build: common-build 
+node-clean: common-clean
+node-build: common-build
 node-uninstall: common-uninstall
 
 drawgantt-setup: www-conf-setup
@@ -131,46 +130,46 @@
 
 packages-build:    P_ACTION = build
 packages-install:  P_ACTION = install
-packages-clean:    P_ACTION = clean 
+packages-clean:    P_ACTION = clean
 
 $(P_TARGETS):
 	# oar-doc
 	$(MAKE) -f Makefiles/doc.mk $(P_ACTION) \
 	    DESTDIR=$(PACKAGES_DIR)/oar-doc
-	
+
 	# oar-common
-	mkdir -p $(PACKAGES_DIR)/oar-common/var/lib/oar	
+	mkdir -p $(PACKAGES_DIR)/oar-common/var/lib/oar
 	$(MAKE) -f Makefiles/common.mk $(P_ACTION) \
 	    DESTDIR=$(PACKAGES_DIR)/oar-common
-	
-	
+
+
 	# liboar-perl
-	mkdir -p $(PACKAGES_DIR)/liboar-perl/var/lib/oar	
+	mkdir -p $(PACKAGES_DIR)/liboar-perl/var/lib/oar
 	$(MAKE) -f Makefiles/common-libs.mk $(P_ACTION) \
 	    DESTDIR=$(PACKAGES_DIR)/liboar-perl
-	
+
 	# oar-server
 	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
 	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
     SHAREDIR=/usr/share/oar/oar-server \
                 DESTDIR=$(PACKAGES_DIR)/oar-server
-	
+
 	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                 DESTDIR=$(PACKAGES_DIR)/oar-server \
     SHAREDIR=/usr/share/oar/oar-server \
 		DOCDIR=/usr/share/doc/oar-server
-	
+
 	# oar-node
 	mkdir -p $(PACKAGES_DIR)/oar-node/var/lib/oar
 	mkdir -p $(PACKAGES_DIR)/oar-node/etc/init.d
 	$(MAKE) -f Makefiles/node.mk $(P_ACTION)\
                 DESTDIR=$(PACKAGES_DIR)/oar-node
-	
+
 	# oar-user
 	mkdir -p $(PACKAGES_DIR)/oar-user/var/lib/oar
 	$(MAKE) -f Makefiles/user.mk $(P_ACTION)\
-                DESTDIR=$(PACKAGES_DIR)/oar-user 
-	
+                DESTDIR=$(PACKAGES_DIR)/oar-user
+
 	# oar-web-status
 	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                 DESTDIR=$(PACKAGES_DIR)/oar-web-status \
@@ -187,13 +186,13 @@
 		DOCDIR=/usr/share/doc/oar-web-status \
 		SHAREDIR=/usr/share/oar/oar-web-status \
 		WWWDIR=/usr/share/oar-web-status
-	
+
 	# oar-restful-api
 	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
 	    DOCDIR=/usr/share/doc/oar-restful-api \
-	    DESTDIR=$(PACKAGES_DIR)/oar-restful-api 
-	
+	    DESTDIR=$(PACKAGES_DIR)/oar-restful-api
+
 	# keyring
 	$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
-	    DESTDIR=$(PACKAGES_DIR)/oar-keyring 
-	
+	    DESTDIR=$(PACKAGES_DIR)/oar-keyring
+

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
DOC_TARGET    = docmaster@oar.imag.fr
SPHINXOPTS    =
DOC_VERSION   = 2.5
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  publish    to upload online the HTML documentation"
	@echo "  publishpdf to upload online the PDF documentation manuals"
	@echo "  publishall to upload online the HTML and PDF documentation"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OAR.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OAR.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OAR"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OAR"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

publish: html
	rsync -avh $(BUILDDIR)/html/ $(DOC_TARGET):~/oar-doc/$(DOC_VERSION)

publishpdf: latexpdf
	rsync -avh $(BUILDDIR)/latex/*.tex $(BUILDDIR)/latex/*.pdf $(DOC_TARGET):~/oar-doc/$(DOC_VERSION)

publishall: publish publishpdf

=== tests/rspec/Makefile ===
RSPEC=rspec
SPEC_OPTS=--colour --format documentation

all: format_checking job_submit
usage:
	@echo "usage: make < format_checking | job_submit | resources_creation >"
format_checking:
	${RSPEC} format_checking_spec.rb ${SPEC_OPTS}
job_submit:
	${RSPEC} job_submit_spec.rb ${SPEC_OPTS}
resources_creation:
	${RSPEC} resources_creation_spec.rb ${SPEC_OPTS}

=== debian/changelog ===
oar (2.5.10-2build1) plucky; urgency=medium

  * No-change rebuild for upperlimit-perl.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 19:24:50 +0100

oar (2.5.10-2) unstable; urgency=medium

  [ Pierre Neyron ]
  * oar-web-status: Fix missing dependency to libcgi-fast-perl (Closes:
    #1068711)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 10 Apr 2024 13:41:34 +0200

oar (2.5.10-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 10 Jul 2023 14:55:03 +0200

oar (2.5.10~rc3-1) unstable; urgency=medium

  * Release candidate 3

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 17 Apr 2023 23:16:37 +0200

oar (2.5.10~rc2-1) unstable; urgency=medium

  * Release candidate 2

 -- Pierre Neyron <pierre.neyron@free.fr>  Sat, 15 Apr 2023 21:55:52 +0200

oar (2.5.10~rc1-1) unstable; urgency=medium

  * Release candidate 1

 -- Pierre Neyron <pierre.neyron@free.fr>  Sat, 15 Apr 2023 14:09:22 +0200

oar (2.5.10~g5k7-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Samir Noir <samir.noir@inria.fr>  Thu, 01 Jul 2021 12:30:57 +0000

oar (2.5.10~g5k6-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Samir Noir <samir.noir@inria.fr>  Wed, 30 Jun 2021 08:53:34 +0000

oar (2.5.10~g5k5-1) unstable; urgency=medium

  * Pre-release for G5K (various improvements)

 -- Samir Noir <samir.noir@inria.fr>  Tue, 29 Jun 2021 08:05:13 +0000

oar (2.5.10~g5k4-1) unstable; urgency=medium

  * Pre-release for G5K (various improvements)

 -- Samir Noir <samir.noir@inria.fr>  Mon, 21 Jun 2021 13:01:36 +0000

oar (2.5.10~g5k3-1) unstable; urgency=medium

  * Pre-release for G5K (new features)

 -- Samir Noir <samir.noir@inria.fr>  Fri, 16 Apr 2021 12:43:23 +0000

oar (2.5.10~g5k2-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Samir Noir <samir.noir@inria.fr>  Fri, 02 Apr 2021 08:14:17 +0000

oar (2.5.10~g5k1-1) unstable; urgency=medium

  * Pre-release for G5K (various fixes)

 -- Samir Noir <samir.noir@inria.fr>  Tue, 30 Mar 2021 15:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                po-debconf,
                perl,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://github.com/oar-team/oar.git/ -b debian.org
 Vcs-Browser: https://github.com/oar-team/oar
 Homepage: http://oar.imag.fr/
+Rules-Requires-Root: no
 
 Package: liboar-perl
 Architecture: any
@@ -19,7 +20,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${perl:Depends},
-         libdbi-perl
+         libdbi-perl,
+         libcapture-tiny-perl
 Suggests: oar-server,
           oar-user,
           oar-node,
@@ -57,7 +59,6 @@
          ${perl:Depends},
          openssh-client,
          cron,
-         lsb-base,
          libsort-versions-perl,
          libdbi-perl,
          oar-common (= ${binary:Version}),
@@ -119,7 +120,6 @@
          ${shlibs:Depends},
          openssh-client,
          openssh-server,
-         lsb-base (>= 3.0-6),
          oar-common (= ${binary:Version})
 Suggests: oar-doc,
           xauth
@@ -194,6 +194,8 @@
          libtie-ixhash-perl,
          libappconfig-perl,
          libsort-naturally-perl,
+         libutf8-all-perl,
+         libcgi-fast-perl,
          php,
          php-mysql | php-pgsql
 Suggests: oar-doc

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# This is required to use systemd
+export SYSTEMD_INIT=true
 
 INSTALLDIR=debian
 
@@ -34,21 +37,22 @@
 
 override_dh_auto_build:
 	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
-	
+
 
 override_dh_auto_install:
 	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
 	## oar-server
-	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/init.d/oar-server > debian/oar-server.init
-	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/default/oar-server > debian/oar-server.default
 	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
-	
+	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/systemd/oar-server.service > debian/oar-server.service
+
 	## oar-node
-	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/init.d/oar-node > debian/oar-node.init
-	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/default/oar-node > debian/oar-node.default
+	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-node.service > debian/oar-node.service
+	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-node-script.service > debian/oar-node.oar-node-script.service
+	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar.target > debian/oar-node.oar.target
+
 	# disable the automatic installation of this cron, by default
 	#cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
-		
+
 	## oar-common
 	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
 	## oar-web-status
@@ -56,20 +60,24 @@
 	# -- poar is not in the debian packaging (still an experimental feature)
 	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
 	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js
-		
+
 	## oar-doc
 	rm -r $(CURDIR)/$(INSTALLDIR)/oar-doc/usr/share/doc/oar-doc/doctrees
-		
+
 	dh_install -i
+	dh_installsystemd --name=oar
+	dh_installsystemd --name=oar-node-script
 
 override_dh_clean:
 	dh_clean
-	
+
 	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
-		
+
 	# Cleaning package
 	$(RM) debian/oar-server.init
+	$(RM) debian/oar-server.service
 	$(RM) debian/oar-node.init
+	$(RM) debian/oar-node.service
 	$(RM) debian/oar-server.default
 	$(RM) debian/oar-node.default
 	$(RM) debian/oar-common.logrotate
